Subject: RE: bug#7728: 24.0.50; GDB backtrace from abort

From: "Drew Adams" <[email-masked]>
Date: Fri, 14 Jan 2011 13:06:21 -0800

>     It could also be that this is the
>     first time you are running a binary that was built with
>     ENABLE_CHECKING defined: without that, the abort won't 
>     happen at all.
> 
> For what it's worth, I've been configuring the binaries found in
> http://alpha.gnu.org/gnu/emacs/windows since the end of July.  So say,
> since emacs-20100802.  Hope this helps; I've only been able to follow
> what you are writing in passing.

In case it helps I just checked, using a build I have from 2010-07-19 and
another from 2010-08-02.  The former does not crash; the latter does.  So if the
difference between those two is ENABLE_CHECKING then this would lend support to
Eli's hypothesis wrt ENABLE_CHECKING.

These are those builds:

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-07-19 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-08-02 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'